Subject: Re: linux-next: manual merge of the xen-tip tree with the tip tree

From: Juergen Gross <[email-masked]>
Date: Wed, 29 Mar 2017 10:37:28 +0200

On 29/03/17 05:35, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the xen-tip tree got a conflict in:
> 
>   arch/x86/xen/enlighten.c
> 
> between commits:
> 
>   6415813bae75 ("x86/cpu: Drop wp_works_ok member of struct cpuinfo_x86")
>   69218e47994d ("x86: Remap GDT tables in the fixmap section")
>   b23adb7d3f7d ("x86/xen/gdt: Use X86_FEATURE_XENPV instead of globals for the GDT fixup")
> 
> from the tip tree and commits:
> 
>   75cd32d6093e ("x86/xen: split off enlighten_pv.c")
> 
> from the xen-tip tree.
> 
> I dropped the xen-tip tree for today (see other conflict reports),
> please get together and sort these out, thanks.
> 

Hmm, seems to be a rather bad timing for the series of Vitaly.

What is the best way to resolve those conflicts? A rebase of Vitaly's
patches seems to be required in any case.

Should I rebase the Xen tree on current tip? This seems to be rather
easy, but I think this will work only if I can be sure the current tip
tree contents will all be merged by Linus before the Xen tree.

I could try to cherry pick the patches from tip where Vitaly's patches
have conflicts with, but I think this could lead to a lot of patches
to take.

Or we could delay Vitaly's series until tip has been merged, but this
will either delay some other Xen patches depending on (or conflicting
with) Vitaly's patches or would make the rebase for Vitaly more
difficult.

Thoughts?

Juergen